Page MenuHomePhabricator

efl_ui_progressbar: do not allow parts on unified widgets
ClosedPublic

Authored by bu5hm4n on Jan 13 2020, 6:11 AM.

Details

Summary

this only allows the default part to be gotten when running the unified
widget. A later widget can then be used to expose the second progressbar
part.

ref T8501

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 13 2020, 6:11 AM
bu5hm4n requested review of this revision.Jan 13 2020, 6:11 AM
zmike added a comment.Jan 13 2020, 6:41 AM

Should this error for now as well to ensure people know?

Mhm, whats our default policy for that ? I think normally our part_get methods do silently return ...

@zmike

Could you answer on @bu5hm4n 's question ? :)
I think other progressbar relating patches have a dependency with this one.

zmike accepted this revision.Jan 15 2020, 6:23 AM

Oops, I got distracted.

This revision is now accepted and ready to land.Jan 15 2020, 6:23 AM
Closed by commit rEFLb57d0aa571fb: efl_ui_progressbar: do not allow parts on unified widgets (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 16 2020, 12:18 AM
This revision was automatically updated to reflect the committed changes.